Utku Dalmaz Utku Dalmaz - 6 months ago 26
iOS Question

Cannot build facebook ios SDK in Swift Project

I get these errors

enter image description here

Here is the pods that are installed

enter image description here

My Podfile is :

platform :ios, “8.0”

post_install do |installer|
installer.pods_project.build_configuration_list.build_configurations.each do |configuration|
configuration.build_settings['CLANG_ALLOW_NON_MODULAR_INCLUDES_IN_FRAMEWORK_MODULES'] = 'YES'
end
end

target “Jemiyet” do
pod 'SVProgressHUD'
pod 'TWMessageBarManager'
pod 'QMServices'
pod 'Fabric'
pod 'Crashlytics'
end


I use xcode 7.3.1 and Facebook SDK 4.11 (copied in project folder)

enter image description here

fefe

Any one knows how to fix this ?

UPDATE:
As i can understand, I have Bolts installed in Pods and i cannot use use_framworks! in Pods because one of the library in pods is not a dynamic framework, so when i integrate FBSDKCore and Login frameworks, it tries to use Bolts in Pods but it gives non-modular error because Bolts in pods does not have modulemap file.

Answer

I fixed this by just removing import FBSDKCorekit line then everything works fine.